Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QStyleOptionDockWidget

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.gui.QStyleOption
                  com.trolltech.qt.gui.QStyleOptionDockWidget

All Implemented Interfaces:
  QtJambiInterface

Direct Known Subclasses:
  QStyleOptionDockWidgetV2

    public class QStyleOptionDockWidget

extends QStyleOption

The `QStyleOptionDockWidget` class is used to describe the parameters for drawing a dock widget.

`QStyleOptionDockWidget` contains all the information that `QStyle` functions need to draw graphical elements like `QDockWidget`.

For performance reasons, the access to the member variables is direct (i.e., using the `.` or `->` operator). This low-level feel makes the structures straightforward to use and emphasizes that these are simply parameters used by the style functions.

For an example demonstrating how style options can be used, see the Styles example.

See Also:
  `QStyleOption`

Nested Class Summary
`static class` | `QStyleOptionDockWidget.StyleOptionType` This enum is used to hold information about the type of the style option, and is defined for each `QStyleOption` subclass.
`static class` | `QStyleOptionDockWidget.StyleOptionVersion` This enum is used to hold information about the version of the style option, and is defined for each `QStyleOption` subclass.

Nested classes/interfaces inherited from class com.trolltech.qt.gui.QStyleOption
`QStyleOption.OptionType`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`` | `QStyleOptionDockWidget()` Constructs a `QStyleOptionDockWidget`, initializing the member variables to their default values.
`protected` | `QStyleOptionDockWidget(int version)`
`` | `QStyleOptionDockWidget(QStyleOptionDockWidget other)` Constructs a copy of the `other` style option.

Method Summary
`boolean` | `closable()` Returns whether the dock window is closable.
`boolean` | `floatable()` Returns whether the dock window is floatable.
`static QStyleOptionDockWidget` | `fromNativePointer(QNativePointer nativePointer)` This function returns the QStyleOptionDockWidget instance pointed to by nativePointer
`boolean` | `movable()` Returns whether the dock window is movable.
`static QNativePointer` | `nativePointerArray(QStyleOptionDockWidget[] array)` This function returns a QNativePointer that is pointing to the specified QStyleOptionDockWidget array.
`void` | `setClosable(boolean closable)` Sets whether the dock window is closable to `closable`.
`void` | `setFloatable(boolean floatable)` Sets whether the dock window is floatable to `floatable`.
`void` | `setMovable(boolean movable)` Sets whether the dock window is movable to `movable`.
`void` | `setTitle(java.lang.String title)` Sets the title of the dock window to `title`.
`java.lang.String` | `title()` Returns the title of the dock window.

Methods inherited from class com.trolltech.qt.gui.QStyleOption
`direction, fontMetrics, initFrom, nativePointerArray, palette, rect, setDirection, setFontMetrics, setPalette, setRect, setState, setState, setType, setVersion, state, type, version`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QStyleOptionDockWidget

    public QStyleOptionDockWidget(QStyleOptionDockWidget other)

  Constructs a copy of the `other` style option.

### QStyleOptionDockWidget

    public QStyleOptionDockWidget()

  Constructs a `QStyleOptionDockWidget`, initializing the member variables to their default values.

### QStyleOptionDockWidget

    protected QStyleOptionDockWidget(int version)

Method Detail

### setTitle

    public final void setTitle(java.lang.String title)

  Sets the title of the dock window to `title`.

  The default value is an empty string.

  See Also:
    `title`

### title

    public final java.lang.String title()

  Returns the title of the dock window.

  The default value is an empty string.

  See Also:
    `setTitle`

### setFloatable

    public final void setFloatable(boolean floatable)

  Sets whether the dock window is floatable to `floatable`.

  The default value is true.

  See Also:
    `floatable`

### floatable

    public final boolean floatable()

  Returns whether the dock window is floatable.

  The default value is true.

  See Also:
    `setFloatable`

### setClosable

    public final void setClosable(boolean closable)

  Sets whether the dock window is closable to `closable`.

  The default value is true.

  See Also:
    `closable`

### closable

    public final boolean closable()

  Returns whether the dock window is closable.

  The default value is true.

  See Also:
    `setClosable`

### setMovable

    public final void setMovable(boolean movable)

  Sets whether the dock window is movable to `movable`.

  The default value is false.

  See Also:
    `movable`

### movable

    public final boolean movable()

  Returns whether the dock window is movable.

  The default value is false.

  See Also:
    `setMovable`

### fromNativePointer

    public static QStyleOptionDockWidget fromNativePointer(QNativePointer nativePointer)

  This function returns the QStyleOptionDockWidget instance pointed to by nativePointer

  Parameters:
    `nativePointer` - the QNativePointer of which object should be returned.

### nativePointerArray

    public static QNativePointer nativePointerArray(QStyleOptionDockWidget[] array)

  This function returns a QNativePointer that is pointing to the specified QStyleOptionDockWidget array.

  Parameters:
    `array` - the array that the returned pointer will point to.
  Returns:
    a QNativePointer that is pointing to the specified array.

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD